Unanswered question

getting javax.net.ssl.SSLException: Received fatal alert: protocol_version error

bellow is the error observed
Error detected by NeoLoad
Error Code: NL-NETWORK-01 Message: Network error: An IO error occurred sending the request. Details: javax.net.ssl.SSLException: Received fatal alert: protocol_version
Please refer to the documentation for further details and advice

tried with changing the controller config file ssl version, but if i use the wrong one it says hand shake failure and if i use the TLSv1.2 which is the correct one for server getting above error.

Shravan V.
Shravan V.

Shravan V.

Level
0
12 / 100
points

Answers

Shravan V.
Shravan V.

Shravan V.

Level
0
12 / 100
points

The connection to this site is encrypted and authenticated using TLS 1.3, X25519, and AES_256_GCM.

That explains the protocol version error since your server probably expects TLSv1.3 and the official version of NeoLoad does not support that protocol version.

Nevertheless we have a beta version of NeoLoad that includes OpenJDK 11 that does support TLSv1.3. You can download it from the links below and apply the procedure to enable TLSv1.3 with the right ciphers.

Download links for Windows_x64 and Linux_x64

After the installation please edit the $install_dir/conf/controller.properties file in order to add TLSv1.3 under the [General] section AND also add in the cipher list these ciphers "TLS_AES_128_GCM_SHA256,TLS_AES_256_GCM_SHA384" in first position like in the screen shot attached. Then start NeoLoad.